Bug 906453 - Review Request: bsfilter - Bayesian spam filter
Summary: Review Request: bsfilter - Bayesian spam filter
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Schwendt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 906144
TreeView+ depends on / blocked
 
Reported: 2013-01-31 16:35 UTC by Mamoru TASAKA
Modified: 2013-03-12 23:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-04 03:19:29 UTC
Type: ---
bugs.michael: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Comment 2 Michael Schwendt 2013-02-22 11:05:45 UTC
For this review, I've focused on:

| SHOULD: The reviewer should test that the package functions as described.
| A package should not segfault instead of running, for example.

* I've installed and configured claws-mail-plugins-bsfilter and noticed that one can crash the plugin when configuring it sloppily:
http://www.thewildbeast.co.uk/claws-mail/bugzilla/show_bug.cgi?id=2878

* I've built and installed bsfilter, which requires no configuration. 

* When run within Claws Mail, bsfilter is redirected to --homedir ~/.claws-mail however, whereas when running it outside Claws Mail, it defaults to ~/.bsfilter. Hence I've set a link from ~/.bsfilter to ~/.claws-mail. Just taking a note of it here, this is unrelated to the packaging. ;-)

* I've edited my procmail setup to include two recipes from "bsfilter --help" (which is sort of a full manual page, btw, rather than ordinary --help output).

With that setup, bsfilter here _works for me_ and meanwhile has started marking Spam messages.

[...]

The packaging looks sane.

In particular, license GPLv2+ matches the preamble of the bsfilter script.


The "/usr/bin/env ruby" in the script could be replaced with a hardcoded /usr/bin/ruby:
https://fedoraproject.org/wiki/Packaging:Ruby#Shebang_lines
| 
| All other code should use #!/usr/bin/ruby. 


The rpmlint W/E are commented on in the spec file already:

$ rpmlint bsfilter-1.0.18-0.2.rc4.fc.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint bsfilter-1.0.18-0.2.rc4.fc19.noarch.rpm 
bsfilter.noarch: E: incorrect-fsf-address /usr/bin/bsfilter
bsfilter.noarch: E: incorrect-fsf-address /usr/share/doc/bsfilter-1.0.18/COPYING
bsfilter.noarch: W: no-manual-page-for-binary bsfilter
1 packages and 0 specfiles checked; 2 errors, 1 warnings.


The %check section uses "|| :" and comments on it as a TODO item. Of course, this could mean that although bsfilter _seems to work_ here, some of its features may depend on stuff that also makes the few tests fail.
https://fedoraproject.org/wiki/Packaging:Ruby#Running_test_suites


APPROVED

Comment 3 Mamoru TASAKA 2013-02-23 16:15:28 UTC
Thank you for review! I will check your comments later. Now write git request first.

New Package SCM Request
=======================
Package Name: bsfilter
Short Description: Bayesian spam filter
Owners: mtasaka
Branches: f17 f18

Comment 4 Gwyn Ciesla 2013-02-25 00:02:32 UTC
Git done (by process-git-requests).

Comment 5 Mamoru TASAKA 2013-03-02 18:47:34 UTC
Now I am trying to fix build for ruby-mecab with ruby 2.0.0

Comment 6 Fedora Update System 2013-03-04 01:09:31 UTC
bsfilter-1.0.18-0.4.rc4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/bsfilter-1.0.18-0.4.rc4.fc18

Comment 7 Fedora Update System 2013-03-04 01:09:57 UTC
bsfilter-1.0.18-0.4.rc4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/bsfilter-1.0.18-0.4.rc4.fc17

Comment 8 Mamoru TASAKA 2013-03-04 03:19:29 UTC
Successfully built on F-19/18/17, push requested on F-18/17. Now closing.
Thank you for review and git procedure.

Comment 9 Fedora Update System 2013-03-12 23:23:12 UTC
bsfilter-1.0.18-0.4.rc4.fc17 has been pushed to the Fedora 17 stable repository.

Comment 10 Fedora Update System 2013-03-12 23:44:49 UTC
bsfilter-1.0.18-0.4.rc4.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.